using Microsoft.Extensions.Logging;

namespace ex_AddingFonts;

public static class MauiProgram
{
	public static MauiApp CreateMauiApp()
	{
		var builder = MauiApp.CreateBuilder();
		builder
			.UseMauiApp<App>()
			.ConfigureFonts(fonts =>
			{
				fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
				fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
				fonts.AddFont("Luminari.ttf", "Luminari");
				fonts.AddFont("SF-Pro.ttf", "SFPro");
				fonts.AddFont("SF-Pro-Regular.ttf", "SFPro");
				fonts.AddFont("SF-Pro-Bold.ttf", "SFPro");
				fonts.AddFont("SF-Pro-Italic.ttf", "SFPro");
			});

#if DEBUG
		builder.Logging.AddDebug();
#endif

		return builder.Build();
	}
}
